<Input::ContainerGroup
  @isMainValue={{@isMainValue}}
  @title={{@title}}
  @rawTitle={{@title}}
  @onSave={{this.save}}
  @onCancel={{@onCancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  class='container-group-text'
  as |isEdit|
>
  {{#if isEdit}}
    <div class='input-group' {{did-insert this.setupValue}}>
      {{#if @options}}
        <Input::Select
          class='form-control'
          @list={{@options}}
          @value={{this.value}}
          @onChange={{this.updateValue}}
        />
      {{else if @useTextArea}}
        <Textarea
          class='form-control'
          @value={{this.value}}
          placeholder={{@placeholder}}
          rows='6'
        />
      {{else}}
        <Input
          class='form-control'
          @type={{@type}}
          @value={{this.value}}
          placeholder={{@placeholder}}
        />
      {{/if}}
    </div>
  {{else}}
    {{#if (and (not @value) @emptyError)}}
      {{#if @isMainValue}}
        <div class='alert alert-info' role='alert'>
          {{@emptyError}}
        </div>
      {{else}}
        <span class='text-muted'>{{@emptyError}}</span>
      {{/if}}
    {{else}}
      {{#if @renderAsCode}}
        <code><pre>{{@value}}</pre></code>
      {{else}}
        <p>{{@value}}</p>
      {{/if}}
    {{/if}}
  {{/if}}
</Input::ContainerGroup>